package com.zcloud.fire.check.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.fire.check.persistence.FireCheckPointListDO;
import com.zcloud.fire.check.persistence.dataobject.FireCheckListDO;
import com.zcloud.fire.check.persistence.dataobject.PointDistributionDO;
import com.zcloud.fire.check.persistence.dataobject.RiskDistributionDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-11-28 10:32:09
 */
public interface FireCheckListRepository extends BaseRepository<FireCheckListDO> {
    PageResponse<FireCheckListDO> screenList(Map<String, Object> params);

    PageResponse<FireCheckListDO> listPage(Map<String, Object> params);

    FireCheckListDO getInfoById(Long id);

    PageResponse<FireCheckListDO> appCheckList(Map<String, Object> params);

    PageResponse<RiskDistributionDO> riskDistribution(Map<String, Object> params);

    PageResponse<PointDistributionDO> pointDistribution(Map<String, Object> params);

    List<FireCheckPointListDO> getCheckPointList(Map<String, Object> params);

    PageResponse<FireCheckListDO> getBackChecKList(Map<String, Object> params);


    PageResponse<FireCheckListDO> checkListRecordList(Map<String, Object> params);

    FireCheckListDO getInfoByUUIdState(String fireCheckId, Integer code);

    PageResponse<FireCheckListDO> getCheckListRecord(Map<String, Object> params);


    List<FireCheckListDO> waitFireCheckList(String checkType);

    List<FireCheckListDO> overTimeRecord(@Param("params") Map<String, Object> params);

    FireCheckListDO getInfoByUUId(String fireCheckId);
}

